Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Call

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Call

Enclosing class:
  TdApi

public static final class TdApi.Call extends TdApi.Object
Describes a call.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`id`
Call identifier, not persistent.
`boolean`
`isOutgoing`
True, if the call is outgoing.
`boolean`
`isVideo`
True, if the call is a video call.
`TdApi.CallState`
`state`
Call state.
`long`
`userId`
User identifier of the other call participant.

## Constructor Summary

Constructors
Constructor
Description
`Call()`
Describes a call.
`Call(int id, long userId, boolean isOutgoing, boolean isVideo, TdApi.CallState state)`
Describes a call.
`Call(DataInput input)`
Describes a call.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Call identifier, not persistent.

### userId

public long userId
User identifier of the other call participant.

### isOutgoing

public boolean isOutgoing
True, if the call is outgoing.

### isVideo

public boolean isVideo
True, if the call is a video call.

### state

public TdApi.CallState state
Call state.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### Call

public Call()
Describes a call.

### Call

public Call(int id, long userId, boolean isOutgoing, boolean isVideo, TdApi.CallState state)
Describes a call.

Parameters:
  `id` - Call identifier, not persistent.
  `userId` - User identifier of the other call participant.
  `isOutgoing` - True, if the call is outgoing.
  `isVideo` - True, if the call is a video call.
  `state` - Call state.

### Call

public Call(DataInput input) throws IOException
Describes a call.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`